List an entity's identifiers
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/identifiers \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/identifiers"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/identifiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/EntityIdentifier",
"@id": "/entities/91106968-1abd-4d64-85c1-4e73d96fb997/identifiers",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/.well-known/genid/78c595ac88fa9659fa80",
"@type": "EntityIdentifier",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"link": "/entities/91106968-1abd-4d64-85c1-4e73d96fb997",
"country": "mx",
"identifier": "rfc",
"value": "XAXX010101000",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:totalItems": 1,
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:first": "<string>",
"hydra:next": "<string>",
"hydra:last": "<string>"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}Identifiers
List an entity's identifiers
List country-specific identifiers for an entity, such as RFC or CURP for Mexico.
GET
/
entities
/
{entityId}
/
identifiers
List an entity's identifiers
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
Entity identifier collection response
Example:
"/entities/91106968-1abd-4d64-85c1-4e73d96fb997/identifiers"
Show child attributes
Show child attributes
Total number of items found
Required range:
x >= 0Example:
1
Pagination information
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I